HestonRNDCalculator Class Reference

Risk neutral terminal probability density for the Heston model. More...

`#include <ql/methods/finitedifferences/utilities/hestonrndcalculator.hpp>`

Inherits RiskNeutralDensityCalculator.

## Public Member Functions

| HestonRNDCalculator (const ext::shared_ptr< HestonProcess > &hestonProcess, Real integrationEps=1e-6, Size maxIntegrationIterations=10000UL)
Real | pdf (Real x, Time t) const
Real | cdf (Real x, Time t) const
Real | invcdf (Real q, Time t) const

## Detailed Description

Risk neutral terminal probability density for the Heston model.

References:

The formulas are taken from A. Dragulescu, V. Yakovenko, 2002. Probability distribution of returns in the Heston model with stochastic volatility. http://arxiv.org/pdf/cond-mat/0203046.pdf